0

New to Mac. I am going to install a software and running make, returns the error:

$ make
gcc -I/Users/username/softwarename/include -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include -I/usr/local/Cellar -I/usr/local/Cellar/fftw/3.3.8_1/include -DUSEFFTW -DUSEMMAP -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -Wall -W -fPIC -O3 -ffast-math -Wno-unused-result -Wno-unused-but-set-variable -Wno-unused-but-set-parameter -fopenmp -o /Users/username/softwarename/bin/makedata com.o randlib.o makedata.o -L/opt/local/lib -lcfitsio -lcurl -L/Users/username/softwarename/lib -lsoftwarename -L/usr/local/Cellar/fftw/3.3.8_1/lib -lfftw3f -lm
ld: library not found for -lSystem
collect2: error: ld returned 1 exit status
make: *** [makedata] Error 1

I have no idea on the -lSystem library. Any advice?

  • There are some questions on SO, stackoverflow.com/search?q=%22library+not+found+for+-lSystem%22 This is not a hint to go post there too, but they have some suggestions to try. Have you updated command line tools? xcode-select --install is a general command. – ankii Oct 11 '19 at 19:40
  • @ankii, Thanks! However, many of those do no have accepted answers, and all proposed solutions look very different from each other (to me at least). I s there any other info I need to address my question better ? (e.g., output from gcc --version, just guessing here). – Py-ser Oct 11 '19 at 19:49
  • I cannot make good troubleshoot here, but looks like library is either non-existent(updating Xcode or installing it if it is a 3rd party library might work), or cannot be seen,( so PATH etc would need to be modified), or if it is not mandatory for working of the software, its requirement can be skipped/commented out in the configuration files. Most helpful can be the people who develop that software. – ankii Oct 11 '19 at 20:00

You must log in to answer this question.

Browse other questions tagged .